import request from "@/utils/request";

// 查询业务-物料库存
export function getMaterialStockPage(query) {
    return request({
        url: "/rtkwms/material/MaterialStockPage",
        method: "get",
        params: query,
    });
}
// 查询业务-物料库存明细
export function getMaterialStockDetailPage(query) {
    return request({
        url: "/rtkwms/incoming-stock/MaterialStockDetailPage",
        method: "get",
        params: query,
    });
}
// 查询业务-成品库存
export function getProductionTotalPage(query) {
    return request({
        url: "/rtkwms/incoming-produce-detail/productionTotalPage",
        method: "get",
        params: query,
    });
}
// 查询业务-成品库存
export function getProductionPage(query) {
    return request({
        url: "/rtkwms/incoming-produce-detail/productionPage",
        method: "get",
        params: query,
    });
}
// 获取存货类别下拉列表
export function getCategoryDropDownList(query) {
    return request({
        url: "/rtkwms/material/categoryDropDownList",
        method: "get",
        params: query,
    });
}

// 导出库存管理 Excel
export function exporMaterialExcel(query) {
    return request({
        url: "/rtkwms/material-total/export-excel ",
        method: "get",
        params: query,
        responseType: "blob",
    });
}